<?php if ( ! defined( 'ABSPATH' ) ) { die( 'Direct access forbidden.' ); }


$options = array(
	'header'    => array(
		'label' => esc_html__( 'Alternative Header', 'homefort' ),
		'desc' => esc_html__( 'Use {{ brackets }} to headlight', 'homefort' ),
		'type'  => 'text',
	),		
	'bg-color' => array(
		'label'   => esc_html__( 'Background Style', 'homefort' ),
		'type'    => 'select',
		'choices' => array(
			'default'	=> esc_html__( 'Light', 'homefort' ),
			'dark'  	=> esc_html__( 'Dark', 'homefort' ),
		),
		'value' => 'default',
	),
	'icon' => array(
		'label' => esc_html__( 'Icon', 'homefort' ),
		'type'  => 'icon-v2',
	),	
	'background-image'    => array(
		'label' => esc_html__( 'Page Header Background', 'homefort' ),
		'desc' => esc_html__( 'Will replace default header image', 'homefort' ),
		'type'  => 'upload',
	),				
);

